Download it now!
Bug 59422 - [LOCALIZATION] Personas Dialog shows pt-PT strings in pt-BR locale.
Summary: [LOCALIZATION] Personas Dialog shows pt-PT strings in pt-BR locale.
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Localization (show other bugs)
Version:
(earliest affected)
4.0.0.1 rc
Hardware: Other All
: low trivial
Assignee: Caolán McNamara
URL:
Whiteboard: target:4.1.0 target:4.0.0
Keywords:
Depends on:
Blocks:
 
Reported: 2013-01-15 14:23 UTC by Olivier Hallot
Modified: 2013-01-25 07:32 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Dialog displays wrong srtings (14.23 KB, image/png)
2013-01-15 14:24 UTC, Olivier Hallot
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Olivier Hallot 2013-01-15 14:23:44 UTC
Personas Dialog shows pt-PT strings instead of pt-BR, in Brazil locale.

(Hard to pick that at first glance, because the 2 languages are 99% identical... but, hey, I didn't invented the split :-) )

Attached images shows wrong strings for pt-BR
Comment 1 Olivier Hallot 2013-01-15 14:24:37 UTC
Created attachment 73090 [details]
Dialog displays wrong srtings
Comment 2 Joel Madero 2013-01-15 17:05:55 UTC
Confirming. Minor issue but still should be fixed hopefully fast
Comment 3 Andras Timar 2013-01-24 21:14:37 UTC
It seems to be a general problem, all .ui based dialogs fall back to pt, when pt-BR is selected as the UI language. I wonder if it is the case with en variants or zh-TW/zh-CN.
Comment 4 Caolán McNamara 2013-01-24 23:21:19 UTC
Presumably its either a bug in VclBuilder::loadTranslations or in the generation of those translations in l10ntools uiex or perhaps the packing of them in postprocess/packconfig. I'll do a pt-BR local build, in the meantime two and three can be ruled in or out by the contents of install/share/config/soffice.cfg/cui/ui/res/*pt*.
Comment 5 Not Assigned 2013-01-25 00:20:41 UTC
Caolan McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=fbfba66ac4990875e90f7af56113ca453d83f069

Resolves: fdo#59422 if loading a ll-TT trans succeeds, don't fallback to ll



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 Caolán McNamara 2013-01-25 00:24:33 UTC
bah, not stopping when we have the right one and falling back to the generic one
https://gerrit.libreoffice.org/1856 4-0
https://gerrit.libreoffice.org/1855 4-0-0
Comment 7 Not Assigned 2013-01-25 07:26:29 UTC
Caolan McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-4-0-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=65141b7c80026fdb9858af6229de83c0b6824e10&h=libreoffice-4-0-0

Resolves: fdo#59422 if loading a ll-TT trans succeeds, don't fallback to ll


It will be available already in LibreOffice 4.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 8 Not Assigned 2013-01-25 07:32:26 UTC
Caolan McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-4-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=13421b4c424e7a2372382d7011f31e9795e01fd7&h=libreoffice-4-0

Resolves: fdo#59422 if loading a ll-TT trans succeeds, don't fallback to ll


It will be available in LibreOffice 4.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.